Summary:		An audio codec for use in low-delay speech and audio communication
Name:     		opus
Version:  		1.4
Release:  		1%{?dist}
License:  		BSD
URL:      		https://www.opus-codec.org/
Source0:  		http://downloads.xiph.org/releases/%{name}/%{name}-%{version}.tar.gz
Source1:  		http://tools.ietf.org/rfc/rfc6716.txt 
Source2:  		http://tools.ietf.org/rfc/rfc8251.txt

BuildRequires:	make gcc doxygen

%description
The Opus codec is designed for interactive speech and audio transmission over 
the Internet. It is designed by the IETF Codec Working Group and incorporates 
technology from Skype's SILK codec and Xiph.Org's CELT codec.

%package  devel
Summary:		Development package for opus
Requires: 		opus = %{version}-%{release}
Requires: 		libogg-devel

%description devel
Files for development with opus.

%prep
%autosetup
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
%configure --enable-custom-modes --disable-static \
           --enable-hardening --enable-ambisonics
%make_build

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete
rm -rf %{buildroot}%{_datadir}/doc/opus/html

%check
make check %{?_smp_mflags} V=1

%files
%license COPYING
%{_libdir}/libopus.so.*

%files devel
%doc README doc/html rfc6716.txt rfc8251.txt
%{_includedir}/opus
%{_libdir}/libopus.so
%{_libdir}/pkgconfig/opus.pc
%{_datadir}/aclocal/opus.m4
%{_datadir}/man/man3/opus_*.3.gz

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 1.4-1
- Upgrade to version 1.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.3.1-1
- Initial build
